%define anolis_release 1

%bcond_without bootstrap

Name:           beust-jcommander
Version:        1.78
Release:        %{anolis_release}%{?dist}
Summary:        Java framework for parsing command line parameters
License:        ASL 2.0
URL:            http://jcommander.org/
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        https://github.com/cbeust/jcommander/archive/refs/tags/%{version}.tar.gz
Source1:        https://repo1.maven.org/maven2/com/beust/jcommander/%{version}/jcommander-%{version}.pom

Patch0:         0001-ParseValues-NullPointerException-patch.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.testng:testng)
%endif

%description
JCommander is a very small Java framework that makes it trivial to
parse command line parameters (with annotations).

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the %{summary}.

%prep
%autosetup -p1 -n jcommander-%{version}

find -name '*.jar' -delete
find -name '*.class' -delete
rm -rf gradle* kobalt* lib

cp -p %SOURCE1 pom.xml
%pom_xpath_set "pom:project/pom:version" "%{version}"

# maven-surefire-plugin requires explicit version >= 4.7
%pom_add_dep org.testng:testng:4.7:test

%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%attr(0644,root,root) %license license.txt notice.md
%doc README.markdown

%files javadoc -f .mfiles-javadoc
%license license.txt notice.md

%changelog
* Mon Mar 27 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.78-1
- init from upstream
